<template>
  <div>
    <utils-mobile-banner
      :themeProperties="themeProperties"
      :actived="'VirtualSportInitial'"
      class="mobileBannerCarouselBfm1"
      @hasBanner="(val) => (hasBanner = val)"
    />
    <div class="overflow-hidden pb-10">
      <div>
        <lazy-theme-mobile-sbo-components-game-list-entry />
      </div>
    </div>
  </div>
</template>

<script lang="ts">
import { defineComponent, ref } from "vue";
import { store } from "~~/store";

export default defineComponent({
  name: "VirtualSport",
  setup() {
    const hasBanner = ref(false);
    const authentication = computed(() => store.state.auth);
    const themeProperties = computed(
      () => store.state.companyThemePropertiesFromApi.ThemeProperties
    );
    return {
      hasBanner,
      themeProperties,
      authentication,
    };
  },
});
</script>

<style scoped></style>
